(function ($) {

    $.fn.fblikecount = function (options) {

        var defaults = { baseUrl: 'http://graph.facebook.com/?ids=' };

        var options = $.extend(defaults, options);
        var count = 0;
        var numberOfLikes = 0;

        return this.each(function () {
            var $this = $(this);
            var objLink = $(this).attr('title');
            if (objLink.indexOf('http') == -1) {
                objLink = siteurl + objLink;
            }
            if (objLink.indexOf('http') === 0) {
                $.getJSON(defaults.baseUrl + objLink + '&callback=?', function (json) {

                    if (json[objLink] && json[objLink].likes) // First check the likes protocol
                    {
                        numberOfLikes = (json[objLink].likes);
                    }



                    if (json[objLink] && json[objLink].shares) // SAFETY NET - If we couldn't get anything back from 'likes' we'll try 'shares'
                    {
                        numberOfLikes = (json[objLink].shares);
                    }


                    if ($requestWords == "true") // If words are to display then use the appropriate language based on the number
                    {
                        if (numberOfLikes == 0) {
                            ($this).html("Nobody has liked this yet");
                        }

                        if (numberOfLikes == 1) {
                            ($this).html("<span class='galleryItemDetailFacebookNumber'>" + numberOfLikes + "</span> person has liked this");
                        }

                        if (numberOfLikes > 1) {
							numberOfLikes = Number(numberOfLikes); /* Convert to a proper Number */
							numberOfLikes = numberOfLikes.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ","); /* Convert to have commas */
                            ($this).html("<span class='galleryItemDetailFacebookNumber'>" + numberOfLikes + "</span> people have liked this");
                        }

                    }
                    if ($requestWords == "false") {
                        ($this).html(numberOfLikes);
                    }


                    $this.removeAttr("title"); // Remove the title attribute from the div now that it is no longer needed

                    FB.Event.subscribe('edge.create', function (href, widget) { // When the like button is clicked reload the page again
                        window.location.reload()
                    });


                });
            }
        });
    }
})(jQuery);